package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbEnrollmentTime;
import com.ruoyi.system.domain.TbSchool;
import com.ruoyi.system.domain.TbSchoolMajor;

/**
 * 入学时间Service接口
 * 
 * @author ruoyi
 * @date 2022-09-05
 */
public interface ITbEnrollmentTimeService 
{
    /**
     * 查询入学时间
     * 
     * @param id 入学时间主键
     * @return 入学时间
     */
    public TbEnrollmentTime selectTbEnrollmentTimeById(Long id);

    /**
     * 查询入学时间列表
     * 
     * @param tbEnrollmentTime 入学时间
     * @return 入学时间集合
     */
    public List<TbEnrollmentTime> selectTbEnrollmentTimeList(TbEnrollmentTime tbEnrollmentTime);

    public List<TbEnrollmentTime> selectEnrollmentTimeNotPassList(TbEnrollmentTime tbEnrollmentTime);

    /**
     * 新增入学时间
     * 
     * @param tbEnrollmentTime 入学时间
     * @return 结果
     */
    public int insertTbEnrollmentTime(TbEnrollmentTime tbEnrollmentTime);

    /**
     * 修改入学时间
     * 
     * @param tbEnrollmentTime 入学时间
     * @return 结果
     */
    public int updateTbEnrollmentTime(TbEnrollmentTime tbEnrollmentTime);

    public int updateCheckStatus(TbEnrollmentTime tbEnrollmentTime);

    /**
     * 批量删除入学时间
     * 
     * @param ids 需要删除的入学时间主键集合
     * @return 结果
     */
    public int deleteTbEnrollmentTimeByIds(String ids);

    /**
     * 删除入学时间信息
     * 
     * @param id 入学时间主键
     * @return 结果
     */
    public int deleteTbEnrollmentTimeById(Long id);

    public List<TbSchool> selectSchoolCampusByID(Long id);

    public List<TbSchoolMajor> selectSchoolMajorBySchoolId(Long id);

//    public List<TbSchoolMajor> selectMajorBySchoolId(Long id);

    public List<TbSchoolMajor> selectDegreeBySchooIdAndMajorName(TbSchoolMajor tbSchoolMajor);
}
